<div class="modal-component" data-open={if @dialogue_open, do: "true", else: "false"}>
  <div
     class="modal"
     id={@id}
     phx-window-keydown="close_dialogue"
     phx-key="Escape"
     phx-target={@myself}>
  <div class="modal-guts">
    <button phx-click="close_dialogue" phx-target={@myself} class="modal-close">
      <span class="material-icons">close</span>
    </button>
      <.form onsubmit="return false;" let={f} for={@url_changeset}
           phx-change="url_change" phx-submit="submit_form" phx-target={@myself}
           class="big-form">
        <%= label f, :url, "URL" %>
        <%= url_input f, :url, placeholder: "URL...", "phx-debounce": "250" %>
        <%= error_tag f, :url %>
      </.form>
      <button type="submit" phx-click="submit_form" phx-target={@myself}>
        <span class="material-icons">keyboard_return</span>
      </button>
  </div>
</div>
<div phx-click="close_dialogue" phx-target={@myself}
  class="modal-overlay" id="dialogue_overlay">
</div>
</div>
